6.0.0-git
2021-01-24

[#1423] IMP4 japanese subject problem
Summary IMP4 japanese subject problem
Queue IMP
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 2. Medium
Owners
Requester hiromi (at) tac (dot) tsukuba (dot) ac (dot) jp
Created 2005-02-22 (5815 days ago)
Due
Updated 2005-03-07 (5802 days ago)
Assigned 2005-03-06 (5803 days ago)
Resolved 2005-03-07 (5802 days ago)
Milestone
Patch No

History
2005-03-07 13:48:31 Jan Schneider Comment #4
State ⇒ Resolved
Reply to this comment
Fixed in CVS and Horde 3.0.4.
2005-03-07 05:53:45 hiromi (at) tac (dot) tsukuba (dot) ac (dot) jp Comment #3
New Attachment: 1423.zip Download
Reply to this comment
Attach is the sample, contains 3 files;

   1423.mail -- mail message

   1423-ng.gif -- screen shot of current IMP (NO GOOD)

   1423-ok.gif -- scrren shot (GOOD)(used my own patch)


2005-03-06 17:34:52 Jan Schneider Comment #2
State ⇒ Feedback
Priority ⇒ 2. Medium
Version ⇒ FRAMEWORK_3
Reply to this comment
Can you upload an example message that triggers this error?
2005-02-22 09:56:03 hiromi (at) tac (dot) tsukuba (dot) ac (dot) jp Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ IMP4 japanese subject problem
Queue ⇒ IMP
Reply to this comment
Problem: viewing of japanese subject strings collaped sometimes

    (in mailbox view and message view)



Reason:

   Japanese mails uses iso-2022-jp(7 bit) encoding, for example;

     Subject: =?ISO-2022-JP?B?GyRCJSYlIyVrJTk2bj18GyhC?=



   This string is decoded by decode() in horde/lib/Horde/MIME.php;

        (line 351)

         case 'B':

         case 'b':

             $decoded = urldecode(base64_decode($encoded_text));

             $decoded = String::convertCharset($decoded, $charset, 
$to_charset);



   The result string of base64_decode() is;

     esc $ B % & % # % k % 9 6 n = | esc ( B    (18 bytes total)

                         ^ ^ ^

   these '%9' and '6n' repesent japanese characters,

   but urldecode() convert '%96' to another one !!



   So, urldecode() is not need for iso-2022-jp encoding.


Saved Queries